import { __require as requireDatepart } from './datepart.mjs';

var year;
var hasRequiredYear;
function requireYear() {
  if (hasRequiredYear) return year;
  hasRequiredYear = 1;
  const DatePart = requireDatepart();
  class Year extends DatePart {
    constructor(opts = {}) {
      super(opts);
    }
    up() {
      this.date.setFullYear(this.date.getFullYear() + 1);
    }
    down() {
      this.date.setFullYear(this.date.getFullYear() - 1);
    }
    setTo(val) {
      this.date.setFullYear(val.substr(-4));
    }
    toString() {
      let year = String(this.date.getFullYear()).padStart(4, '0');
      return this.token.length === 2 ? year.substr(-2) : year;
    }
  }
  year = Year;
  return year;
}

export { requireYear as __require };
